## -*- coding: utf-8-unix -*-
## NOTE: This spec file is generated by tlpdb2rpmspec 2017-2: 
## tlpdb2rpmspec collection-plaingeneric

%global _use_internal_dependency_generator 0
%global __find_provides %{nil}
%global __find_requires %{nil}

Summary: TeX Live: Plain (La)TeX packages
Summary(ja): TeX Live: Plain (La)TeX packages
Name: texlive-collection-plaingeneric
Version: 2017
Release: 2%{?_dist_release}
License: Public Domain, Freely redistributable without restriction, LPPL 1.3, LPPL, GPL+, GPLv3+, Knuth
Group: Applications/Publishing
URL:http://www.tug.org/texlive/

Source0: abbr.doc.tar.xz
Source1: abbr.tar.xz
Source2: abstyles.doc.tar.xz
Source3: abstyles.tar.xz
Source4: apnum.doc.tar.xz
Source5: apnum.tar.xz
Source6: autoaligne.doc.tar.xz
Source7: autoaligne.tar.xz
Source8: barr.doc.tar.xz
Source9: barr.tar.xz
Source10: bitelist.doc.tar.xz
Source11: bitelist.source.tar.xz
Source12: bitelist.tar.xz
Source13: borceux.doc.tar.xz
Source14: borceux.tar.xz
Source15: c-pascal.doc.tar.xz
Source16: c-pascal.tar.xz
Source17: catcodes.doc.tar.xz
Source18: catcodes.source.tar.xz
Source19: catcodes.tar.xz
Source20: chronosys.doc.tar.xz
Source21: chronosys.tar.xz
Source22: colorsep.tar.xz
Source23: dinat.doc.tar.xz
Source24: dinat.tar.xz
Source25: dirtree.doc.tar.xz
Source26: dirtree.source.tar.xz
Source27: dirtree.tar.xz
Source28: docbytex.doc.tar.xz
Source29: docbytex.tar.xz
Source30: dowith.doc.tar.xz
Source31: dowith.source.tar.xz
Source32: dowith.tar.xz
Source33: eijkhout.tar.xz
Source34: encxvlna.doc.tar.xz
Source35: encxvlna.tar.xz
Source36: epigram.tar.xz
Source37: epsf.doc.tar.xz
Source38: epsf.tar.xz
Source39: epsf-dvipdfmx.doc.tar.xz
Source40: epsf-dvipdfmx.tar.xz
Source41: fenixpar.doc.tar.xz
Source42: fenixpar.tar.xz
Source43: figflow.doc.tar.xz
Source44: figflow.tar.xz
Source45: fixpdfmag.tar.xz
Source46: fltpoint.doc.tar.xz
Source47: fltpoint.source.tar.xz
Source48: fltpoint.tar.xz
Source49: fntproof.doc.tar.xz
Source50: fntproof.tar.xz
Source51: font-change.doc.tar.xz
Source52: font-change.tar.xz
Source53: fontch.doc.tar.xz
Source54: fontch.tar.xz
Source55: fontname.doc.tar.xz
Source56: fontname.tar.xz
Source57: gates.doc.tar.xz
Source58: gates.tar.xz
Source59: genmisc.tar.xz
Source60: getoptk.doc.tar.xz
Source61: getoptk.tar.xz
Source62: gfnotation.doc.tar.xz
Source63: gfnotation.tar.xz
Source64: gobble.doc.tar.xz
Source65: gobble.source.tar.xz
Source66: gobble.tar.xz
Source67: graphics-pln.doc.tar.xz
Source68: graphics-pln.source.tar.xz
Source69: graphics-pln.tar.xz
Source70: gtl.doc.tar.xz
Source71: gtl.source.tar.xz
Source72: gtl.tar.xz
Source73: hlist.doc.tar.xz
Source74: hlist.tar.xz
Source75: hyplain.doc.tar.xz
Source76: hyplain.tar.xz
Source77: ifetex.doc.tar.xz
Source78: ifetex.source.tar.xz
Source79: ifetex.tar.xz
Source80: iftex.doc.tar.xz
Source81: iftex.tar.xz
Source82: insbox.doc.tar.xz
Source83: insbox.tar.xz
Source84: js-misc.doc.tar.xz
Source85: js-misc.tar.xz
Source86: kastrup.doc.tar.xz
Source87: kastrup.source.tar.xz
Source88: kastrup.tar.xz
Source89: lambda-lists.doc.tar.xz
Source90: lambda-lists.tar.xz
Source91: langcode.doc.tar.xz
Source92: langcode.source.tar.xz
Source93: langcode.tar.xz
Source94: lecturer.doc.tar.xz
Source95: lecturer.tar.xz
Source96: librarian.doc.tar.xz
Source97: librarian.tar.xz
Source98: listofitems.doc.tar.xz
Source99: listofitems.tar.xz
Source100: mathdots.doc.tar.xz
Source101: mathdots.source.tar.xz
Source102: mathdots.tar.xz
Source103: metatex.doc.tar.xz
Source104: metatex.tar.xz
Source105: midnight.doc.tar.xz
Source106: midnight.tar.xz
Source107: mkpattern.doc.tar.xz
Source108: mkpattern.tar.xz
Source109: multido.doc.tar.xz
Source110: multido.source.tar.xz
Source111: multido.tar.xz
Source112: navigator.doc.tar.xz
Source113: navigator.tar.xz
Source114: newsletr.doc.tar.xz
Source115: newsletr.tar.xz
Source116: ofs.doc.tar.xz
Source117: ofs.tar.xz
Source118: olsak-misc.doc.tar.xz
Source119: olsak-misc.tar.xz
Source120: path.doc.tar.xz
Source121: path.tar.xz
Source122: pdf-trans.doc.tar.xz
Source123: pdf-trans.tar.xz
Source124: pitex.doc.tar.xz
Source125: pitex.tar.xz
Source126: placeins-plain.tar.xz
Source127: plainpkg.doc.tar.xz
Source128: plainpkg.source.tar.xz
Source129: plainpkg.tar.xz
Source130: plipsum.doc.tar.xz
Source131: plipsum.tar.xz
Source132: plnfss.doc.tar.xz
Source133: plnfss.tar.xz
Source134: plstmary.doc.tar.xz
Source135: plstmary.tar.xz
Source136: present.doc.tar.xz
Source137: present.tar.xz
Source138: randomlist.doc.tar.xz
Source139: randomlist.source.tar.xz
Source140: randomlist.tar.xz
Source141: resumemac.doc.tar.xz
Source142: resumemac.tar.xz
Source143: schemata.doc.tar.xz
Source144: schemata.source.tar.xz
Source145: schemata.tar.xz
Source146: shade.doc.tar.xz
Source147: shade.tar.xz
Source148: systeme.doc.tar.xz
Source149: systeme.tar.xz
Source150: tabto-generic.tar.xz
Source151: termmenu.doc.tar.xz
Source152: termmenu.source.tar.xz
Source153: termmenu.tar.xz
Source154: tex-ps.doc.tar.xz
Source155: tex-ps.tar.xz
Source156: tex4ht.doc.tar.xz
Source157: tex4ht.i386-darwin.tar.xz
Source158: tex4ht.powerpc-darwin.tar.xz
Source159: tex4ht.tar.xz
Source160: texapi.doc.tar.xz
Source161: texapi.tar.xz
Source162: texinfo.tar.xz
Source163: timetable.tar.xz
Source164: tracklang.doc.tar.xz
Source165: tracklang.source.tar.xz
Source166: tracklang.tar.xz
Source167: treetex.doc.tar.xz
Source168: treetex.tar.xz
Source169: trigonometry.doc.tar.xz
Source170: trigonometry.tar.xz
Source171: ulem.doc.tar.xz
Source172: ulem.tar.xz
Source173: upca.doc.tar.xz
Source174: upca.tar.xz
Source175: varisize.doc.tar.xz
Source176: varisize.tar.xz
Source177: xii.doc.tar.xz
Source178: xii.tar.xz
Source179: xlop.doc.tar.xz
Source180: xlop.source.tar.xz
Source181: xlop.tar.xz
Source182: yax.doc.tar.xz
Source183: yax.tar.xz

Requires: texlive = %{version}
Requires: texlive-collection-basic = %{version}

Requires(post):		texlive = %{version}
Requires(postun):	texlive = %{version}

BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	munepi

%description
The TeX Live software distribution offers a complete TeX system for a
variety of Unix, Macintosh, Windows and other platforms. It
encompasses programs for editing, typesetting, previewing and printing
of TeX documents in many different languages, and a large collection
of TeX macros and font libraries.

The distribution includes extensive general documentation about TeX,
as well as the documentation for the included software packages.

This package is a collection of Plain (La)TeX packages: 
Add-on packages and macros that work with plain TeX, often
LaTeX, and occasionally other formats.

This package contains the following CTAN packages: 
abbr: Simple macros supporting abreviations for Plain and LaTeX
abstyles: Adaptable BibTeX styles
apnum: Arbitrary precision numbers implemented by TeX macros
autoaligne: Align terms and members in math expressions
barr: Diagram macros by Michael Barr
bitelist: Split list, in TeX's mouth
borceux: Diagram macros by Francois Borceux
c-pascal: Typeset Python, C and Pascal programs
catcodes: Generic handling of TeX category codes
chronosys: Drawing time-line diagrams
colorsep: Color separation
dinat: Bibliography style for German texts
dirtree: Display trees in the style of windows explorer
docbytex: Creating documentation from source code
dowith: Apply a command to a list of items
eijkhout: Victor Eijkhout's packages
encxvlna: Insert nonbreakable spaces, using encTeX
epigram: Display short quotations
epsf: Simple macros for EPS inclusion
epsf-dvipdfmx: Plain TeX file for using epsf.tex with (x)dvipdfmx
fenixpar: One-shot changes to token registers such as everypar
figflow: Flow text around a figure
fixpdfmag: Fix magnification in pdfTeX
fltpoint: Simple floating point arithmetic
fntproof: A programmable font test pattern generator
font-change: Macros to change text and mathematics fonts in plain TeX
fontch: Changing fonts, sizes and encodings in Plain TeX
fontname: Scheme for naming fonts in TeX
gates: Support for writing modular and customisable code
genmisc: 
getoptk: Define macros with sophisticated options
gfnotation: Typeset Gottlob Frege's notation in plain TeX
gobble: More gobble macros for PlainTeX and LaTeX
graphics-pln: LaTeX-style graphics for Plain TeX users
gtl: Manipulating generalized token lists
hlist: Horizontal and columned lists
hyplain: Basic support for multiple languages in Plain TeX
ifetex: Provides ifetex switch
iftex: Am I running under pdfTeX, XeTeX or LuaTeX?
insbox: Insert pictures/boxes into paragraphs
js-misc: Miscellaneous macros from Joachim Schrod
kastrup: Convert numbers into binary, octal and hexadecimal
lambda-lists: Lists in TeX's mouth
langcode: Simple language-dependent settings based on language codes
lecturer: On-screen presentations for (almost) all formats
librarian: Tools to create bibliographies in TeX
listofitems: Grab items in lists using user-specified sep char
mathdots: Commands to produce dots in math that respect font size
metatex: Incorporate Metafont pictures in TeX source
midnight: A set of useful macro tools
mkpattern: A utility for making hyphenation patterns
multido: A loop facility for Generic TeX
navigator: PDF features across formats and engines
newsletr: Macros for making newsletters with Plain TeX
ofs: Macros for managing large font collections
olsak-misc: collection with plain TeX macros written by Petr Olsak
path: Typeset paths, making them breakable
pdf-trans: A set of macros for various transformations of TeX boxes
pitex: Documentation macros
placeins-plain: Insertions that keep their place
plainpkg: A minimal method for making generic packages
plipsum: 'Lorem ipsum' for Plain TeX developers
plnfss: Font selection for Plain TeX
plstmary: St. Mary's Road font support for plain TeX
present: Presentations with Plain TeX
randomlist: Deal with database, loop, and random in order to build personalized exercises.
resumemac: Plain TeX macros for resumes
schemata: Print topical diagrams
shade: Shade pieces of text
systeme: Format systems of equations
tabto-generic: "Tab" to a measured position in the line
termmenu: The package provides support for terminal-based menus using expl3
tex-ps: TeX to PostScript generic macros and add-ons
tex4ht: Convert (La)TeX to HTML/XML
texapi: Macros to write format-independent packages
texinfo: Texinfo documentation system
timetable: Generate timetables
tracklang: Language and dialect tracker
treetex: Draw trees
trigonometry: Demonstration code for cos and sin in TeX macros
ulem: Package for underlining
upca: Print UPC-A barcodes
varisize: Change font size in Plain TeX
xii: Christmas silliness
xlop: Calculates and displays arithmetic operations
yax: Yet Another Key System

%description -l ja
TeX Live ソフトウェアディストリビューションは、
さまざまな Unix, Macintosh, Windows、および
他のプラットホームに対して完全な TeX システムを提供します。
多くの異なった言語を含む TeX ドキュメントの
編集、組版、閲覧、印刷するためのプログラム、
そして、TeX マクロやフォントライブラリの大きなコレクションを
同梱しています。

このディストリビューションは
同梱しているソフトウェアパッケージのためのドキュメントばかりでなく、
TeX に関するたくさんの一般的なドキュメントを含んでいます。

このパッケージは以下のようなパッケージ集です。
Plain (La)TeX packages: 
Add-on packages and macros that work with plain TeX, often
LaTeX, and occasionally other formats.

このパッケージは以下の CTAN パッケージを含んでいます： 
abbr: Simple macros supporting abreviations for Plain and LaTeX
abstyles: Adaptable BibTeX styles
apnum: Arbitrary precision numbers implemented by TeX macros
autoaligne: Align terms and members in math expressions
barr: Diagram macros by Michael Barr
bitelist: Split list, in TeX's mouth
borceux: Diagram macros by Francois Borceux
c-pascal: Typeset Python, C and Pascal programs
catcodes: Generic handling of TeX category codes
chronosys: Drawing time-line diagrams
colorsep: Color separation
dinat: Bibliography style for German texts
dirtree: Display trees in the style of windows explorer
docbytex: Creating documentation from source code
dowith: Apply a command to a list of items
eijkhout: Victor Eijkhout's packages
encxvlna: Insert nonbreakable spaces, using encTeX
epigram: Display short quotations
epsf: Simple macros for EPS inclusion
epsf-dvipdfmx: Plain TeX file for using epsf.tex with (x)dvipdfmx
fenixpar: One-shot changes to token registers such as everypar
figflow: Flow text around a figure
fixpdfmag: Fix magnification in pdfTeX
fltpoint: Simple floating point arithmetic
fntproof: A programmable font test pattern generator
font-change: Macros to change text and mathematics fonts in plain TeX
fontch: Changing fonts, sizes and encodings in Plain TeX
fontname: Scheme for naming fonts in TeX
gates: Support for writing modular and customisable code
genmisc: 
getoptk: Define macros with sophisticated options
gfnotation: Typeset Gottlob Frege's notation in plain TeX
gobble: More gobble macros for PlainTeX and LaTeX
graphics-pln: LaTeX-style graphics for Plain TeX users
gtl: Manipulating generalized token lists
hlist: Horizontal and columned lists
hyplain: Basic support for multiple languages in Plain TeX
ifetex: Provides ifetex switch
iftex: Am I running under pdfTeX, XeTeX or LuaTeX?
insbox: Insert pictures/boxes into paragraphs
js-misc: Miscellaneous macros from Joachim Schrod
kastrup: Convert numbers into binary, octal and hexadecimal
lambda-lists: Lists in TeX's mouth
langcode: Simple language-dependent settings based on language codes
lecturer: On-screen presentations for (almost) all formats
librarian: Tools to create bibliographies in TeX
listofitems: Grab items in lists using user-specified sep char
mathdots: Commands to produce dots in math that respect font size
metatex: Incorporate Metafont pictures in TeX source
midnight: A set of useful macro tools
mkpattern: A utility for making hyphenation patterns
multido: A loop facility for Generic TeX
navigator: PDF features across formats and engines
newsletr: Macros for making newsletters with Plain TeX
ofs: Macros for managing large font collections
olsak-misc: collection with plain TeX macros written by Petr Olsak
path: Typeset paths, making them breakable
pdf-trans: A set of macros for various transformations of TeX boxes
pitex: Documentation macros
placeins-plain: Insertions that keep their place
plainpkg: A minimal method for making generic packages
plipsum: 'Lorem ipsum' for Plain TeX developers
plnfss: Font selection for Plain TeX
plstmary: St. Mary's Road font support for plain TeX
present: Presentations with Plain TeX
randomlist: Deal with database, loop, and random in order to build personalized exercises.
resumemac: Plain TeX macros for resumes
schemata: Print topical diagrams
shade: Shade pieces of text
systeme: Format systems of equations
tabto-generic: "Tab" to a measured position in the line
termmenu: The package provides support for terminal-based menus using expl3
tex-ps: TeX to PostScript generic macros and add-ons
tex4ht: Convert (La)TeX to HTML/XML
texapi: Macros to write format-independent packages
texinfo: Texinfo documentation system
timetable: Generate timetables
tracklang: Language and dialect tracker
treetex: Draw trees
trigonometry: Demonstration code for cos and sin in TeX macros
ulem: Package for underlining
upca: Print UPC-A barcodes
varisize: Change font size in Plain TeX
xii: Christmas silliness
xlop: Calculates and displays arithmetic operations
yax: Yet Another Key System

%package doc
Summary: TeX Live: Documentation files of %{name}
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation files of %{name}.

%prep
%setup -c -n %{name}-%{version}
%__tar -xvf %{SOURCE1}
%__tar -xvf %{SOURCE2}
%__tar -xvf %{SOURCE3}
%__tar -xvf %{SOURCE4}
%__tar -xvf %{SOURCE5}
%__tar -xvf %{SOURCE6}
%__tar -xvf %{SOURCE7}
%__tar -xvf %{SOURCE8}
%__tar -xvf %{SOURCE9}
%__tar -xvf %{SOURCE10}
%__tar -xvf %{SOURCE11}
%__tar -xvf %{SOURCE12}
%__tar -xvf %{SOURCE13}
%__tar -xvf %{SOURCE14}
%__tar -xvf %{SOURCE15}
%__tar -xvf %{SOURCE16}
%__tar -xvf %{SOURCE17}
%__tar -xvf %{SOURCE18}
%__tar -xvf %{SOURCE19}
%__tar -xvf %{SOURCE20}
%__tar -xvf %{SOURCE21}
%__tar -xvf %{SOURCE22}
%__tar -xvf %{SOURCE23}
%__tar -xvf %{SOURCE24}
%__tar -xvf %{SOURCE25}
%__tar -xvf %{SOURCE26}
%__tar -xvf %{SOURCE27}
%__tar -xvf %{SOURCE28}
%__tar -xvf %{SOURCE29}
%__tar -xvf %{SOURCE30}
%__tar -xvf %{SOURCE31}
%__tar -xvf %{SOURCE32}
%__tar -xvf %{SOURCE33}
%__tar -xvf %{SOURCE34}
%__tar -xvf %{SOURCE35}
%__tar -xvf %{SOURCE36}
%__tar -xvf %{SOURCE37}
%__tar -xvf %{SOURCE38}
%__tar -xvf %{SOURCE39}
%__tar -xvf %{SOURCE40}
%__tar -xvf %{SOURCE41}
%__tar -xvf %{SOURCE42}
%__tar -xvf %{SOURCE43}
%__tar -xvf %{SOURCE44}
%__tar -xvf %{SOURCE45}
%__tar -xvf %{SOURCE46}
%__tar -xvf %{SOURCE47}
%__tar -xvf %{SOURCE48}
%__tar -xvf %{SOURCE49}
%__tar -xvf %{SOURCE50}
%__tar -xvf %{SOURCE51}
%__tar -xvf %{SOURCE52}
%__tar -xvf %{SOURCE53}
%__tar -xvf %{SOURCE54}
%__tar -xvf %{SOURCE55}
%__tar -xvf %{SOURCE56}
%__tar -xvf %{SOURCE57}
%__tar -xvf %{SOURCE58}
%__tar -xvf %{SOURCE59}
%__tar -xvf %{SOURCE60}
%__tar -xvf %{SOURCE61}
%__tar -xvf %{SOURCE62}
%__tar -xvf %{SOURCE63}
%__tar -xvf %{SOURCE64}
%__tar -xvf %{SOURCE65}
%__tar -xvf %{SOURCE66}
%__tar -xvf %{SOURCE67}
%__tar -xvf %{SOURCE68}
%__tar -xvf %{SOURCE69}
%__tar -xvf %{SOURCE70}
%__tar -xvf %{SOURCE71}
%__tar -xvf %{SOURCE72}
%__tar -xvf %{SOURCE73}
%__tar -xvf %{SOURCE74}
%__tar -xvf %{SOURCE75}
%__tar -xvf %{SOURCE76}
%__tar -xvf %{SOURCE77}
%__tar -xvf %{SOURCE78}
%__tar -xvf %{SOURCE79}
%__tar -xvf %{SOURCE80}
%__tar -xvf %{SOURCE81}
%__tar -xvf %{SOURCE82}
%__tar -xvf %{SOURCE83}
%__tar -xvf %{SOURCE84}
%__tar -xvf %{SOURCE85}
%__tar -xvf %{SOURCE86}
%__tar -xvf %{SOURCE87}
%__tar -xvf %{SOURCE88}
%__tar -xvf %{SOURCE89}
%__tar -xvf %{SOURCE90}
%__tar -xvf %{SOURCE91}
%__tar -xvf %{SOURCE92}
%__tar -xvf %{SOURCE93}
%__tar -xvf %{SOURCE94}
%__tar -xvf %{SOURCE95}
%__tar -xvf %{SOURCE96}
%__tar -xvf %{SOURCE97}
%__tar -xvf %{SOURCE98}
%__tar -xvf %{SOURCE99}
%__tar -xvf %{SOURCE100}
%__tar -xvf %{SOURCE101}
%__tar -xvf %{SOURCE102}
%__tar -xvf %{SOURCE103}
%__tar -xvf %{SOURCE104}
%__tar -xvf %{SOURCE105}
%__tar -xvf %{SOURCE106}
%__tar -xvf %{SOURCE107}
%__tar -xvf %{SOURCE108}
%__tar -xvf %{SOURCE109}
%__tar -xvf %{SOURCE110}
%__tar -xvf %{SOURCE111}
%__tar -xvf %{SOURCE112}
%__tar -xvf %{SOURCE113}
%__tar -xvf %{SOURCE114}
%__tar -xvf %{SOURCE115}
%__tar -xvf %{SOURCE116}
%__tar -xvf %{SOURCE117}
%__tar -xvf %{SOURCE118}
%__tar -xvf %{SOURCE119}
%__tar -xvf %{SOURCE120}
%__tar -xvf %{SOURCE121}
%__tar -xvf %{SOURCE122}
%__tar -xvf %{SOURCE123}
%__tar -xvf %{SOURCE124}
%__tar -xvf %{SOURCE125}
%__tar -xvf %{SOURCE126}
%__tar -xvf %{SOURCE127}
%__tar -xvf %{SOURCE128}
%__tar -xvf %{SOURCE129}
%__tar -xvf %{SOURCE130}
%__tar -xvf %{SOURCE131}
%__tar -xvf %{SOURCE132}
%__tar -xvf %{SOURCE133}
%__tar -xvf %{SOURCE134}
%__tar -xvf %{SOURCE135}
%__tar -xvf %{SOURCE136}
%__tar -xvf %{SOURCE137}
%__tar -xvf %{SOURCE138}
%__tar -xvf %{SOURCE139}
%__tar -xvf %{SOURCE140}
%__tar -xvf %{SOURCE141}
%__tar -xvf %{SOURCE142}
%__tar -xvf %{SOURCE143}
%__tar -xvf %{SOURCE144}
%__tar -xvf %{SOURCE145}
%__tar -xvf %{SOURCE146}
%__tar -xvf %{SOURCE147}
%__tar -xvf %{SOURCE148}
%__tar -xvf %{SOURCE149}
%__tar -xvf %{SOURCE150}
%__tar -xvf %{SOURCE151}
%__tar -xvf %{SOURCE152}
%__tar -xvf %{SOURCE153}
%__tar -xvf %{SOURCE154}
%__tar -xvf %{SOURCE155}
%__tar -xvf %{SOURCE156}
%__tar -xvf %{SOURCE157}
%__tar -xvf %{SOURCE158}
%__tar -xvf %{SOURCE159}
%__tar -xvf %{SOURCE160}
%__tar -xvf %{SOURCE161}
%__tar -xvf %{SOURCE162}
%__tar -xvf %{SOURCE163}
%__tar -xvf %{SOURCE164}
%__tar -xvf %{SOURCE165}
%__tar -xvf %{SOURCE166}
%__tar -xvf %{SOURCE167}
%__tar -xvf %{SOURCE168}
%__tar -xvf %{SOURCE169}
%__tar -xvf %{SOURCE170}
%__tar -xvf %{SOURCE171}
%__tar -xvf %{SOURCE172}
%__tar -xvf %{SOURCE173}
%__tar -xvf %{SOURCE174}
%__tar -xvf %{SOURCE175}
%__tar -xvf %{SOURCE176}
%__tar -xvf %{SOURCE177}
%__tar -xvf %{SOURCE178}
%__tar -xvf %{SOURCE179}
%__tar -xvf %{SOURCE180}
%__tar -xvf %{SOURCE181}
%__tar -xvf %{SOURCE182}
%__tar -xvf %{SOURCE183}

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_datadir}

## move texmf-dist to /usr/share/texmf-dist
[ -d texmf-dist ] && %__mv texmf-dist %{buildroot}%{_tl_texmfdist}/ ||:

## move texmf to /usr/share/texmf
[ -d texmf ] && %__mv texmf %{buildroot}%{_tl_texmfmain}/ ||:

## move tlpkg to /usr/share/tlpkg
[ -d tlpkg ] && %__mv tlpkg %{buildroot}%{_datadir}/ ||:

## move all non-arch binaries to /usr/bin
[ -d bin ] && %__mv bin %{buildroot}%{_prefix}/ ||:

## move others into /usr/share/texmf-dist
%__mkdir_p %{buildroot}%{_tl_texmfdist}
%__cp -a * %{buildroot}%{_tl_texmfdist}/ ||:
%__rm -rf * ||:


## remove duplicated files between texlive and texlive-collection-*
## NOTE: We provides texmf.cnf and updmap{-hdr,}.cfg from texlive
## remove unpacked files
x=(
dvipdfmx/dvipdfmx.cfg
scripts/context/stubs/unix/mtxrun
scripts/latexmk/latexmk.pl
scripts/ptex2pdf/ptex2pdf.lua
scripts/texlive/fmtutil.pl
scripts/texlive/texconfig-dialog.sh 
scripts/texlive/texconfig-sys.sh 
scripts/texlive/texconfig.sh 
scripts/texlive/texlinks.sh 
scripts/texlive/tlmgr.pl 
scripts/texlive/updmap.pl
texconfig/tcfmgr 
web2c/fmtutil.cnf
web2c/mktex.opt 
web2c/mktexdir 
web2c/mktexdir.opt 
web2c/mktexnam 
web2c/mktexnam.opt 
web2c/mktexupd 
web2c/texmf.cnf 
web2c/updmap-hdr.cfg 
web2c/updmap.cfg 
install-tl
#
scripts/cjk-gs-integrate/cjk-gs-integrate.pl 
scripts/epspdf/epspdf.tlu 
scripts/epspdf/epspdftk.tcl 
scripts/glossaries/makeglossaries 
scripts/jfontmaps/kanji-config-updmap.pl 
scripts/jfontmaps/kanji-fontmap-creator.pl 
scripts/kotex-utils/jamo-normalize.pl 
scripts/kotex-utils/komkindex.pl 
scripts/crossrefware/ltx2crossrefxml.pl 
scripts/rubik/rubikrotation.pl 
scripts/musixtex/musixtex.lua 
scripts/pmxchords/pmxchords.lua 
scripts/ctanify/ctanify 
scripts/dtxgen/dtxgen 
scripts/findhyph/findhyph 
scripts/latexpand/latexpand 
scripts/ltxfileinfo/ltxfileinfo 
scripts/latexdiff/latexdiff-vc.pl 
scripts/latexdiff/latexdiff.pl 
scripts/texfot/texfot.pl 
scripts/fontools/autoinst 
scripts/luaotfload/luaotfload-tool.lua 
scripts/oberdiek/pdfatfi.pl 
fonts/map/glyphlist/glyphlist.txt ## texlive-collection-basic-2017-1vl7.noarch
scripts/tex4ht/xhlatex.sh ## texlive-collection-plaingeneric-2017-1vl7.noarch
scripts/latexindent/latexindent.pl ## texlive-collection-binextra-2017-1vl7.noarch
scripts/texosquery/texosquery-jre5.sh ## texlive-collection-binextra-2017-1vl7.noarch
scripts/texosquery/texosquery-jre8.sh ## texlive-collection-binextra-2017-1vl7.noarch
scripts/texosquery/texosquery.sh ## texlive-collection-binextra-2017-1vl7.noarch
)
if [ -d %{buildroot}%{_tl_texmfdist} ]; then
pushd %{buildroot}%{_tl_texmfdist}
%__rm -f ${x[@]} ||:
popd
fi

## Files list
find %{buildroot} -type f -or -type l | \
    %__sed -e "s|%{buildroot}||g" > filelist.full

find %{buildroot}%{_tl_texmfdist} -type d | \
    %__sed -e "s|^%{buildroot}|%dir |" \
           -e "s|$|/|"             >> filelist.full

## subpackages
grep "/texmf-dist/doc/" filelist.full > filelist.doc
cat filelist.doc filelist.full | sort | uniq -u > filelist.tmp
%__mv -f filelist.tmp filelist.full

%clean
%__rm -rf %{buildroot}

%post
%_tl_touch_run texhash
%_tl_touch_run mtxrun

exit 0


%postun
if [ "$1" = 0 ]; then
    %_tl_touch_run texhash

fi

exit 0

%posttrans
%{_tl_exec_texhash}
%{_tl_exec_mtxrun}
%{_tl_exec_updmap}
%{_tl_exec_fmtutil}
exit 0


%files -f filelist.full
%defattr(-,root,root,-)

%files -f filelist.doc doc
%defattr(-,root,root,-)

%changelog
* Sun Jun 18 2017 Munehiro Yamamoto <munepi@vinelinux.org> 2017-2
- synced tlnet to 20170616 (TeX Live 2017)

* Thu Jun 08 2017 Munehiro Yamamoto <munepi@vinelinux.org> 2017-1
- synced tlnet to 20170607 (TeX Live 2017)

* Tue Aug 23 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2016-5
- synced tlnet to 20160823 (TeX Live 2016)

* Tue Jun 07 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2016-4
- synced tlnet to 20160607 (TeX Live 2016)

* Sat May 14 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2016-3
- synced tlnet to 20160514 (TeX Live 2016/pretest)

* Tue May 10 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2016-2
- synced tlnet to 20160510 (TeX Live 2016/pretest)

* Thu Apr 28 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2016-1
- TeX Live 2016/pretest
- synced tlnet to 20160428 (TeX Live 2016/pretest)

* Wed Jan 13 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2015-4
- remove duplicated files from texlive-collection-*
- synced tlnet to 20160113 (TeX Live 2015)

* Sun Jan 10 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2015-3
- TeX Live 2016/dev
- synced tlnet to 20160110 (TeX Live 2016/dev)

* Sun May 24 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2015-2
- TeX Live 2015/pretest
- synced tlnet to 20150522 (TeX Live 2015/pretest)

* Sun Apr 26 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2015-1
- TeX Live 2015/pretest
- synced tlnet to 20150426 (TeX Live 2015/pretest)

* Wed Apr 01 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2014-4
- synced tlnet to 20150401

* Tue Oct 28 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-3
- synced tlnet to 20141028

* Sun Jul 06 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-2
- synced tlnet to 20140706

* Sun May 25 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-1
- upgraded to TeX Live 2014

* Sun Apr 06 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2013-6
- synced tlnet to 20140406

* Wed Dec 18 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-5
- synced tlnet to 20131218

* Fri Nov 01 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-4
- synced tlnet to 20131101

* Wed Oct 02 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-3
- synced tlnet to 20131002

* Thu Sep 19 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-2
- synced tlnet to 20130919

* Fri Aug 23 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-1
- upgraded to TeX Live 2013
  - used tlnet archives
  - synced tlnet to 20130823
- added macros.texlive

* Fri Aug 10 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2012-1
- updated to TeX Live 2012

* Sat Dec 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-2
- updated tlpdb2rpmspec.sh.in and dot.vtlpkg.conf.in: 
  - set external dependencies (texlive-collection-binextra, 
    texlive-collection-fontutils)

* Sun Oct 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-1
- updated to TeX Live 2011
- merged texlive-vtlpkg-2009-osx.patch from OSXWS
- added %doc README (%files)

* Wed Mar 23 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-4
- applied texlive-vtlpkg-2009-vine.patch
  - remove arch dependent binaries
- updated tlpdb2rpmspec.sh.in: 
  - improved tlpdb4a()
  - make symlinks of core script utils (texlive-collection-binextra, 
    texlive-collection-context, texlive-collection-fontutils, 
    texlive-collection-langgreek, texlive-collection-langindic, 
    texlive-collection-latex, texlive-collection-latexextra, 
    texlive-collection-latexrecommended, texlive-collection-pictures, 
    texlive-collection-pstricks, texlive-collection-science)

* Wed Jan 12 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-3
- updated tlpdb2rpmspec.sh.in: 
  - improved %post

* Sun Sep 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- updated tlpdb2rpmspec.sh.in: 
  - removed arch dependent binaries (texlive-collection-latexextra)
  - improved updmap process in %post and %postun
  - fixed perl path

* Fri Jul 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- initial build
